#include <SFML/Graphics.hpp> //  SFML
#include "Player.cpp" //  Player (  )
using namespace sf; //  ̨ SF


int main()
{
	RenderWindow window(VideoMode(1280, 720), "GAMESFML I"); //    

	Player p("player.png", 0, 0, 32, 32); //  p  Player  +       

	float CurrentFrame = 0; //  
	Clock clock; //  

	while (window.isOpen())
	{
		float time = clock.getElapsedTime().asMicroseconds(); //    
		clock.restart(); // 
		time = time/800; // 

		Event event;
		while (window.pollEvent(event))
		{
			if (event.type == Event::Closed)
				window.close();
		}

		/*-------*/
		if ((Keyboard::isKeyPressed(Keyboard::Left) || (Keyboard::isKeyPressed(Keyboard::A)))) {
			p.dir = 1; p.speed = 0.1;
			CurrentFrame += 0.005*time;
			if (CurrentFrame > 3) CurrentFrame -= 3; 
			p.sprite.setTextureRect(IntRect(32 * int(CurrentFrame), 32, 32, 32));
		}
 
		if ((Keyboard::isKeyPressed(Keyboard::Right) || (Keyboard::isKeyPressed(Keyboard::D)))) {
			p.dir = 0; p.speed = 0.1;
			CurrentFrame += 0.005*time;
			if (CurrentFrame > 3) CurrentFrame -= 3; 
			p.sprite.setTextureRect(IntRect(32 * int(CurrentFrame), 0, 32, 32));
		}
 
		if ((Keyboard::isKeyPressed(Keyboard::Up) || (Keyboard::isKeyPressed(Keyboard::W)))) { 
			p.dir = 3; p.speed = 0.1;
			CurrentFrame += 0.005*time;
			if (CurrentFrame > 3) CurrentFrame -= 3;
			p.sprite.setTextureRect(IntRect(32 * int(CurrentFrame), 64, 32, 32));
			
		}
 
		if ((Keyboard::isKeyPressed(Keyboard::Down) || (Keyboard::isKeyPressed(Keyboard::S)))) { 
			p.dir = 2; p.speed = 0.1;
			CurrentFrame += 0.005*time; 
			if (CurrentFrame > 3) CurrentFrame -= 3;
			p.sprite.setTextureRect(IntRect(64 * int(CurrentFrame), 32, -32, 32));
		}

		p.update(time); //  p  Player    SFML

		window.clear(); // 
		window.draw(p.sprite); //   
		window.display();
	}
	return 0;
}