#include <SFML\Graphics.hpp>
using namespace sf;

class Player // 
{
private: float x, y;
public: float x, y, w, h, dx, dy, speed; //  X  Y, , ,   
	    int dir; // 
	    String File; //  
		Image image; // 
		Texture texture; // 
		Sprite sprite; // 

		Player(String F, int X, int Y, float W, float H) //     Player 
		{
			y = 0;
			speed = 0;
			dir = 0;
			File = F; //  + 
			w = W; h = H; //  
			image.loadFromFile("Images/" + File); // 
			texture.loadFromImage(image); //   
			sprite.setTexture(texture); //   
			x = X; y = Y; //  
			sprite.setTextureRect(IntRect(w, h, w, h)); //   
		}
		void update(float time) //  
		{
			switch (dir) //     
			{
			case 0: dx = speed; dy = 0; break; // X   ,  Y 
			case 1: dx = -speed; dy = 0; break; // X   ,  Y 
			case 2: dx = 0; dy = speed; break; // X   ,  Y  
			case 3: dx = 0; dy = -speed; break; // X   ,  Y  
			}

			x += dx*time;
			y += dy*time;

			speed = 0; // ,   
			sprite.setPosition(x, y); //    X  Y
		}
};